# mirror

Mirror is a geometric transform element. It splits the image into two halves and reflects one over each other.

## Example launch line

     gst-launch-1.0 -v videotestsrc ! mirror ! videoconvert ! autovideosink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──GstGeometricTransform
                                ╰──mirror

## Factory details

Authors: – Filippo Argiolas

Classification: – `Transform/Effect/Video`

Rank – none

Plugin – geometrictransform

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### mode

    “mode” Mirror-mode *

How to split the video frame and which side reflect

Flags : Read / Write

Default value : left (0)

## Named constants

### Mirror-mode

How to split the video frame and which side reflect

#### Members

`left` (0) – Split horizontally and reflect left into right
`right` (1) – Split horizontally and reflect right into left
`top` (2) – Split vertically and reflect top into bottom
`bottom` (3) – Split vertically and reflect bottom into top

The results of the search are